Name: glest
Version: 3.1.2
Release: alt2

Packager: Damir Shayhutdinov <damir@altlinux.ru>

Summary: Glest is a project for making a free 3d real-time customizable strategy game.
URL: http://www.glest.org

License: GPL
Group: Games/Strategy
Requires: %name-data = %version
Requires: fonts-bitmap-terminus

Source0: %name-source-%version.tar.bz2
Source2: %name.sh
Source3: %name.ini
Source4: %name.png
Source5: %name.desktop

Patch1: glest-2.0.0-logfile.patch
Patch2: glest-3.1.2-debian-gcc-4.3-fixes.patch

# Automatically added by buildreq on Fri Sep 09 2005
BuildRequires: gcc-c++ jam libSDL-devel libogg-devel libopenal-devel libstdc++-devel libvorbis-devel xerces-c-devel xorg-x11-devel unzip wxGTK2u-contrib-ogl-devel

%description
Glest is a project for making a free 3d real-time customizable strategy game.
Current version is fully playable, includes single player game against CPU 
controlled players, two factions with their corresponding tech trees, units, 
buildings and some maps.

%prep
%setup  -n %name-source-%version
%patch1 -p2
%patch2 -p1

%build
%configure --disable-debug --enable-optimize

jam -j%__nprocs

%install

# let's create directory structure...
%__mkdir_p %buildroot{%_gamesdatadir/%name,%_gamesbindir,%_datadir/doc/%name-%version,%_iconsdir,%_datadir/applications}

# and install what we need where we need it to be...
%__install -pm755 glest %buildroot%_gamesbindir/glest-bin
ln -sf %_gamesbindir/glest-bin %buildroot%_gamesdatadir/%name/glest
%__install -pm644 %SOURCE3 %buildroot%_gamesdatadir/%name/glest.ini
%__install -pm755 %SOURCE2 %buildroot%_gamesbindir/glest

%__install -pm 644 README README.linux license.txt %buildroot%_datadir/doc/%name-%version/
%__install -pm 644 %SOURCE4 %buildroot%_iconsdir/%name.png
%__install -pm 644 %SOURCE5 %buildroot%_datadir/applications/%name.desktop

%post
%update_menus

%postun
%clean_menus

%files
%_datadir/doc/%name-%version
%_gamesdatadir/%name
%_gamesbindir/%name
%_gamesbindir/%name-bin
%_iconsdir/%name.png
%_datadir/applications/%name.desktop

%changelog
* Thu Nov 20 2008 Damir Shayhutdinov <damir@altlinux.ru> 3.1.2-alt2
- Fixed build with gcc4.3 (patch from debian)

* Sun Aug 31 2008 Damir Shayhutdinov <damir@altlinux.ru> 3.1.2-alt1
- New version

* Tue Jan 30 2007 Damir Shayhutdinov <damir@altlinux.ru> 2.0.0-alt3
- Changed default fonts to terminus (#10677)
- Added requires for terminus font

* Sat Dec 02 2006 Damir Shayhutdinov <damir@altlinux.ru> 2.0.0-alt2
- Added desktop file
- Enabled unicode

* Thu Nov 30 2006 Damir Shayhutdinov <damir@altlinux.ru> 2.0.0-alt1
- Resurrected from orphaned.
- 2.0.0 version.

* Mon Sep 19 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.1.0-alt1
- Initial build for Sisyphus.
- Based on custom build by Denis Klykvin (nikon@).

